<%@ Control Language="c#" AutoEventWireup="false" Codebehind="PictureSwapEdit.ascx.cs" Inherits="roc.DNN.Modules.PictureSwap.PictureSwapEdit" %>
<asp:datagrid id="DataGrid1" runat="server" AutoGenerateColumns="False" DataKeyField="ID" AllowPaging="True" 
    PageSize="5" OnEditCommand="edit" OnCancelCommand="cancel" OnUpdateCommand="update"> 
    <Columns> 
        <asp:TemplateColumn HeaderText="Image Url"> 
            <ItemTemplate> 
                <%# DataBinder.Eval(Container.DataItem,"imgUrl") %> 
            </ItemTemplate> 
            <EditItemTemplate> 
                <asp:TextBox id="imgUrl" Runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"imgUrl") %>'> 
                </asp:TextBox> 
            </EditItemTemplate> 
        </asp:TemplateColumn> 
        <asp:TemplateColumn HeaderText="Image Link"> 
            <ItemTemplate> 
                <%# DataBinder.Eval(Container.DataItem,"imgLink") %> 
            </ItemTemplate> 
            <EditItemTemplate> 
                <asp:TextBox id="imgLink" Runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"imgLink") %>'> 
                </asp:TextBox> 
            </EditItemTemplate> 
        </asp:TemplateColumn> 
        <asp:TemplateColumn HeaderText="Description"> 
            <ItemTemplate> 
                <%# DataBinder.Eval(Container.DataItem,"titleText") %> 
            </ItemTemplate> 
            <EditItemTemplate> 
                <asp:TextBox id="titleText" Runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"titleText") %>'> 
                </asp:TextBox> 
            </EditItemTemplate> 
        </asp:TemplateColumn> 
        <asp:EditCommandColumn UpdateText="update" CancelText="cancel" EditText="edit"></asp:EditCommandColumn> 
        <asp:ButtonColumn Text="delete" CommandName="del"></asp:ButtonColumn> 
    </Columns> 
    <PagerStyle Mode="NumericPages"></PagerStyle> 
</asp:datagrid>
Image Url:
<asp:textbox id="txtimgUrl" runat="server" Width="100px"></asp:textbox> 
&nbsp;&nbsp;&nbsp;
Image Link:
<asp:TextBox id="txtimgLink" runat="server" Width="120px"></asp:TextBox> 
&nbsp;&nbsp;&nbsp;
Description:
<asp:TextBox id="txttitleText" runat="server" Width="150px"></asp:TextBox> 
<asp:Button id="Button1" runat="server" Text="add"></asp:Button>